/*******************************************************************************
 *    BDD-Security, application security testing framework
 * 
 * Copyright (C) `2012 Stephen de Vries`
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see `<http://www.gnu.org/licenses/>`.
 ******************************************************************************/
package net.continuumsecurity.bh2012;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.openqa.selenium.By;
import static org.junit.Assert.*;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.htmlunit.HtmlUnitDriver;

public class WebDriverIntegrationTest {
	WebDriver driver;
	
	@Before
	public void setUp() throws Exception {
		driver = new HtmlUnitDriver();
	}

	@After
	public void tearDown() throws Exception {
		driver.close();
	}

	public void login(String username,String password) {
		driver.get("http://www.ispatula.com:8081/ispatula/shop/signonForm.do");
		driver.findElement(By.name("username")).sendKeys(username);
		driver.findElement(By.name("password")).sendKeys(password);
		driver.findElement(By.name("update")).click();
	}
	
	@Test
	public void testLoginWorksForCorrectCredentials() {
		login("bob","password");
		assertTrue(driver.getPageSource().contains("Welcome"));
	}
	
	@Test
	public void testLoginFailsForWrongPassword() {
		login("bob","balls");
		assertFalse(driver.getPageSource().contains("Welcome"));
	}

	@Test
	public void testLoginBypassWithSQLinjection() {
		login("bob';--","");
		assertFalse(driver.getPageSource().contains("Welcome"));
	}
	
}
