/*******************************************************************************
 *    BDD-Security, application security testing framework
 * 
 * Copyright (C) `2012 Stephen de Vries`
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see `<http://www.gnu.org/licenses/>`.
 ******************************************************************************/
package com.nogal.websecurity;

import org.apache.log4j.PropertyConfigurator;
import org.junit.After;
import org.junit.Test;
import org.openqa.selenium.WebDriver;

import com.nogal.ispatula.Config;
import com.nogal.websecurity.drivers.DriverFactory;
import com.nogal.websecurity.drivers.DriverFactory.DriverType;

public class DriverFactoryTest {
	WebDriver driver;
	
	public DriverFactoryTest() {
		PropertyConfigurator.configure("log4j.properties");
	}

	@Test
	public void test() {
		//DriverFactory.get();
		driver = DriverFactory.getDriver(DriverType.BURPFIREFOX);
		driver.manage().deleteAllCookies();
		driver.get(Config.get().baseUrl);
		driver.manage().deleteAllCookies();
	}

	@After
	public void shutdown() {
		driver.close();
	}
}
